Page MenuHomePhabricator

Upgrade cache cluster to debian buster
Open, MediumPublic

Description

We are currently blocked on several tasks like rolling out TLS 1.3 till our caching cluster is upgraded to buster.

Details

Related Gerrit Patches:
operations/debs/trafficserver : masterReplace /var/run with /run
operations/puppet : productioninstall_server: Reimage cp4032 as buster
operations/puppet : productioninstall_server: Reimage cp4026 as buster
operations/puppet : productionATS: Move to a hiera parameter the ats-tls conftool service name
operations/puppet : productioncache: Remove nginx from text and upload clusters
operations/puppet : productionvarnish: Set buster python version
operations/software/fifo-log-demux : masterRelease 0.6.1
operations/software/varnish/vhtcpd : debianvhtcpd (0.1.2-2) buster-wikimedia; urgency=medium
operations/debs/trafficserver : masterRelease 8.0.5-1wm13
operations/software/varnish/libvmod-tbf : debianRelease 2.0.91-2wm
operations/software/varnish/libvmod-netmapper : debian1.7-3: Rebuild for buster
operations/software/varnish/libvmod-re2 : debian1.3.1-3 Rebuild for buster
operations/software/varnish/varnishkafka : debianvarnishkafka (1.0.14-1) buster-wikimedia; urgency=medium
operations/debs/varnish4 : debian-wmf5.1.3-1wm12: Bump version and target buster

Related Objects

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptTue, Jan 7, 11:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 562493 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/debs/varnish4@debian-wmf] 5.1.3-wm12: Bump version and target buster

https://gerrit.wikimedia.org/r/562493

Vgutierrez triaged this task as Medium priority.Tue, Jan 7, 11:26 AM
ema added a subscriber: ema.Tue, Jan 7, 11:28 AM
CDanis added a subscriber: CDanis.Tue, Jan 7, 1:57 PM

Change 562515 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/varnish/libvmod-netmapper@debian] 1.7-3: Rebuild for buster

https://gerrit.wikimedia.org/r/562515

Vgutierrez moved this task from Triage to Caching on the Traffic board.Wed, Jan 8, 9:40 AM

Change 562493 merged by Vgutierrez:
[operations/debs/varnish4@debian-wmf] 5.1.3-1wm12: Bump version and target buster

https://gerrit.wikimedia.org/r/562493

Mentioned in SAL (#wikimedia-operations) [2020-01-08T11:44:39Z] <vgutierrez> uploaded varnish 5.1.3-1wm12 to apt.wikimedia.org (buster) - T242093

Change 562801 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/varnish/libvmod-re2@debian] 1.3.1-3 Rebuild for buster

https://gerrit.wikimedia.org/r/562801

Change 565550 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/varnish/libvmod-tbf@debian] Release 2.0.91-2wm

https://gerrit.wikimedia.org/r/565550

Change 565581 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/varnish/varnishkafka@debian] varnishkafka (1.0.13-2) buster-wikimedia; urgency=medium

https://gerrit.wikimedia.org/r/565581

Change 565581 merged by Vgutierrez:
[operations/software/varnish/varnishkafka@debian] varnishkafka (1.0.14-1) buster-wikimedia; urgency=medium

https://gerrit.wikimedia.org/r/565581

Mentioned in SAL (#wikimedia-operations) [2020-01-20T12:45:24Z] <vgutierrez> uploaded varnishkafka 1.0.14-1 to apt.wm.o (buster) - T242093

Mentioned in SAL (#wikimedia-operations) [2020-01-21T14:37:16Z] <vgutierrez> uploaded varnish-modules 0.12-1+wmf2 to apt.w.o (buster) - T242093

Change 562801 merged by Vgutierrez:
[operations/software/varnish/libvmod-re2@debian] 1.3.1-3 Rebuild for buster

https://gerrit.wikimedia.org/r/562801

Change 562515 merged by Vgutierrez:
[operations/software/varnish/libvmod-netmapper@debian] 1.7-3: Rebuild for buster

https://gerrit.wikimedia.org/r/562515

Change 565550 merged by Vgutierrez:
[operations/software/varnish/libvmod-tbf@debian] Release 2.0.91-2wm

https://gerrit.wikimedia.org/r/565550

Mentioned in SAL (#wikimedia-operations) [2020-01-21T14:56:31Z] <vgutierrez> uploaded libvmod-netmapper 1.7-3 to apt.w.o (buster) - T242093

Mentioned in SAL (#wikimedia-operations) [2020-01-21T14:57:22Z] <vgutierrez> uploaded libvmod-re2 1.3.1-3 to apt.w.o (buster) - T242093

Mentioned in SAL (#wikimedia-operations) [2020-01-21T16:02:31Z] <vgutierrez> uploaded libvmod-tbf 2.0.91-2wm to apt.w.o (buster) - T242093

Mentioned in SAL (#wikimedia-operations) [2020-01-21T16:15:43Z] <vgutierrez> copied prometheus-varnishkafka-exporter from stretch to buster on apt.w.o - T242093

Change 566309 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/debs/trafficserver@master] Release 8.0.5-1wm13

https://gerrit.wikimedia.org/r/566309

Change 566492 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] cache: Remove nginx from text and upload clusters

https://gerrit.wikimedia.org/r/566492

Change 566309 merged by Vgutierrez:
[operations/debs/trafficserver@master] Release 8.0.5-1wm13

https://gerrit.wikimedia.org/r/566309

Mentioned in SAL (#wikimedia-operations) [2020-01-22T12:30:40Z] <vgutierrez> uploaded trafficserver 8.0.5-1wm13 to apt.w.o (buster) - T242093

Change 566530 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/fifo-log-demux@master] Release 0.6-1

https://gerrit.wikimedia.org/r/566530

Change 566532 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/varnish/vhtcpd@debian] vhtcpd (0.1.2-2) buster-wikimedia; urgency=medium

https://gerrit.wikimedia.org/r/566532

Mentioned in SAL (#wikimedia-operations) [2020-01-22T14:50:46Z] <vgutierrez> copied python3-file-read-backwards to apt.w.o (buster) - T242093

Mentioned in SAL (#wikimedia-operations) [2020-01-22T14:53:07Z] <vgutierrez> copied python3-logstash to apt.w.o (buster) - T242093

Change 566532 merged by Vgutierrez:
[operations/software/varnish/vhtcpd@debian] vhtcpd (0.1.2-2) buster-wikimedia; urgency=medium

https://gerrit.wikimedia.org/r/566532

Change 566530 merged by Vgutierrez:
[operations/software/fifo-log-demux@master] Release 0.6.1

https://gerrit.wikimedia.org/r/566530

Mentioned in SAL (#wikimedia-operations) [2020-01-22T15:29:07Z] <vgutierrez> uploaded fifo-log-demux 0.6.1 to apt.w.o (buster) - T242093

Mentioned in SAL (#wikimedia-operations) [2020-01-22T15:43:27Z] <vgutierrez> uploaded vhtcpd 0.1.2-2 to apt.w.o (buster) - T242093

Change 566543 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] varnish: Set buster python version

https://gerrit.wikimedia.org/r/566543

Change 566543 merged by Vgutierrez:
[operations/puppet@production] varnish: Set buster python version

https://gerrit.wikimedia.org/r/566543

Mentioned in SAL (#wikimedia-operations) [2020-01-22T16:21:49Z] <vgutierrez> copied prometheus-trafficserver-exporter from stretch to buster on apt.w.o - T242093

Change 566492 merged by Vgutierrez:
[operations/puppet@production] cache: Remove nginx from text and upload clusters

https://gerrit.wikimedia.org/r/566492

Change 566702 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Move to a hiera parameter the ats-tls conftool service name

https://gerrit.wikimedia.org/r/566702

Change 566702 merged by Vgutierrez:
[operations/puppet@production] ATS: Move to a hiera parameter the ats-tls conftool service name

https://gerrit.wikimedia.org/r/566702

Change 566703 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server: Reimage cp4026 as buster

https://gerrit.wikimedia.org/r/566703

Mentioned in SAL (#wikimedia-operations) [2020-01-23T10:25:45Z] <vgutierrez> depooling and reimaging cp4026 as buster - T242093

Change 566703 merged by Vgutierrez:
[operations/puppet@production] install_server: Reimage cp4026 as buster

https://gerrit.wikimedia.org/r/566703

Script wmf-auto-reimage was launched by vgutierrez on cumin1001.eqiad.wmnet for hosts:

cp4026.ulsfo.wmnet

The log can be found in /var/log/wmf-auto-reimage/202001231031_vgutierrez_104242_cp4026_ulsfo_wmnet.log.

Completed auto-reimage of hosts:

['cp4026.ulsfo.wmnet']

Of which those FAILED:

['cp4026.ulsfo.wmnet']

Script wmf-auto-reimage was launched by vgutierrez on cumin1001.eqiad.wmnet for hosts:

cp4026.ulsfo.wmnet

The log can be found in /var/log/wmf-auto-reimage/202001231044_vgutierrez_106711_cp4026_ulsfo_wmnet.log.

Completed auto-reimage of hosts:

['cp4026.ulsfo.wmnet']

Of which those FAILED:

['cp4026.ulsfo.wmnet']

Script wmf-auto-reimage was launched by vgutierrez on cumin1001.eqiad.wmnet for hosts:

cp4026.ulsfo.wmnet

The log can be found in /var/log/wmf-auto-reimage/202001231044_vgutierrez_106759_cp4026_ulsfo_wmnet.log.

Completed auto-reimage of hosts:

['cp4026.ulsfo.wmnet']

Of which those FAILED:

['cp4026.ulsfo.wmnet']

Script wmf-auto-reimage was launched by vgutierrez on cumin1001.eqiad.wmnet for hosts:

cp4026.ulsfo.wmnet

The log can be found in /var/log/wmf-auto-reimage/202001231116_vgutierrez_112130_cp4026_ulsfo_wmnet.log.

Completed auto-reimage of hosts:

['cp4026.ulsfo.wmnet']

Of which those FAILED:

['cp4026.ulsfo.wmnet']

Mentioned in SAL (#wikimedia-operations) [2020-01-23T16:26:18Z] <vgutierrez> pooling cp4026 running buster - T242093

Mentioned in SAL (#wikimedia-operations) [2020-01-23T16:27:10Z] <vgutierrez> depool cp4032 and reimage as buster - T242093

Change 566792 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server: Reimage cp4032 as buster

https://gerrit.wikimedia.org/r/566792

Change 566792 merged by Vgutierrez:
[operations/puppet@production] install_server: Reimage cp4032 as buster

https://gerrit.wikimedia.org/r/566792

Script wmf-auto-reimage was launched by vgutierrez on cumin1001.eqiad.wmnet for hosts:

cp4032.ulsfo.wmnet

The log can be found in /var/log/wmf-auto-reimage/202001231635_vgutierrez_175054_cp4032_ulsfo_wmnet.log.

Completed auto-reimage of hosts:

['cp4032.ulsfo.wmnet']

Of which those FAILED:

['cp4032.ulsfo.wmnet']

on buster, systemd is not quite happy with trafficserver using /var/run:

Jan 23 17:15:40 cp4032 systemd[1]: /lib/systemd/system/trafficserver.service:8: PIDFile= references path below legacy directory /var/run/, updating /var/run/trafficserver/manager.lock → /run/trafficserver/manager.lock; please update the unit file accordingly.

Change 566814 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/debs/trafficserver@master] Replace /var/run with /run

https://gerrit.wikimedia.org/r/566814

Mentioned in SAL (#wikimedia-operations) [2020-01-23T18:22:33Z] <vgutierrez> pooling cp4032 running buster - T242093